# Gytis Repečka

My name is **Gytis Repečka**, I am Solution Architect and data professional with over 10 years of experience designing and implementing Data Warehouse solutions based on Teradata, Informatica PowerCenter, Oracle Data Integrator, PostgreSQL on premise and on mainstream cloud vendors (AWS, Azure). Currently focusing on Data Vault automation and APIs.

I am strong open source advocate promoting, documenting, teaching about and contributing to open source software and open hardware projects. Key interests are data architecture, personal privacy and security, databases, backend development, internet of things (IoT), automotive diagnostics and telemetry.

- 🔭 [Inretio](https://inret.io/) is my small business company providing IT consulting services, building data-driven solutions and performing smart automotive diagnostics
- 🌱 I am learning Go language by building small [image processing library](https://source.gyt.is/gytisrepecka/webimg)
- 💬 Ask me about Linux infrastructure, data modeling and transformations, open source software
- 📫 Contact me via e-mail gytis@repecka.com ([GPG public key](https://source.gyt.is/gytisrepecka/keys/src/branch/master/gytis_repecka_com_public.asc)) or find on [LinkedIn](https://www.linkedin.com/in/gytisrepecka/) and [Fediverse](https://fedi.lt/@gytis)
- 😄 My name pronouns: **´giːtis repetʃ´ka** with stress on "i:" (long) and "a" (short). Also notice that "c" is written with caron.

## Personal Projects

* [webimg](https://source.gyt.is/gytisrepecka/webimg) - image manipulation (currently - watermarking) library for web written in Go lang

## Contributions

### Golang

* [WriteFreely: Fix login with Gitea OAuth: external user ID not recorded](https://github.com/writefreely/writefreely/pull/515) *(Nov 28, 2021)*
* [AWS Lambda Go sample function improvements](https://github.com/awsdocs/aws-lambda-developer-guide/pull/277): remove redundant call to `GetAccountSettings` API (`callLambda` function within `init`) and fixed misleading error message in TestMain function. *(May 3, 2021)*
* [Add Gitea OAuth login and account management in WriteFreely](https://github.com/writeas/writefreely/pull/293) *(Apr 3, 2020)*

### PHP

* [WordPress plugin boilerplate improvement - add shortcode support](https://github.com/DevinVinson/WordPress-Plugin-Boilerplate/pull/549) *(Jul 17, 2020)*

### Shell

* [WriteFreely build on CentOS](https://github.com/writefreely/writefreely/pull/99): fix finding of `lessc` binary *(May 2, 2019)*

### Other

* [WriteFreely translation to Lithuanian](https://github.com/writeas/web-core/pull/3) *(May 7, 2019)*
